Page MenuHome

Problem with calculation of normals
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce GTX 1060 6GB/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.64

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-07-11 13:50, hash: rB06312c6d2db8
Worked: (optional)

Short description of error
when baking normal map from selected to active, texture looks correct, but resul in 3d viewport looks wrong in eevee and cycles too

Exact steps for others to reproduce the error

  1. I was make some fast sculpt.
  2. make lowpoly retopology.
  3. mark seams and unwrap then.
  4. go to material settings, in "normal" section add node "normal map", for normal color chose "image texture" node, and create new texture.
  5. select highpoly first then lowpoly, go to cycles baking, choose "normal" to bake and "selected to active" change auto cage distance to 0.2. then press bake.
  6. texture looks correct, but in eevee and cycles calculations of light look wrong.



Event Timeline

Serj Yurkevich (Serj_Coruzyak) renamed this task from Problem with unwraping or may be with calculation of normal map to Problem with calculation of normal map.Jul 13 2019, 5:07 AM
Serj Yurkevich (Serj_Coruzyak) updated the task description. (Show Details)

if you use .png, remember to set the Color Space to "non color data" for normal maps.
This is also usually the case for metallic, roughness and other value based shader channels.

Serj Yurkevich (Serj_Coruzyak) changed the task status from Unknown Status to Resolved.EditedJul 13 2019, 12:07 PM

Wow thank you, sorry for that mistake. Earlier i try to setup normal map in beta from 6 july, i was checking color space box and it was disabled like on screen bellow, i dont know why. Now in RC1 i was forgot to check this box and it works, color space with non-color data was solve that problem in eevee. Many thanx.

Serj Yurkevich (Serj_Coruzyak) changed the task status from Resolved to Unknown Status.EditedJul 13 2019, 1:00 PM

Oh wait a moment, i was add standart primitive UV_Sphere in to scene, and in Cycles both UV_Sphere and my Lowpoly has some like stairs artifact from vertex normals and light calculation like on screen below.

Serj Yurkevich (Serj_Coruzyak) renamed this task from Problem with calculation of normal map to Problem with calculation of normals.Jul 13 2019, 1:22 PM
Brecht Van Lommel (brecht) changed the task status from Unknown Status to Unknown Status.Jul 14 2019, 7:19 PM

That's not considered a bug currently, a fix towards that is in D4459.

As i understand that fix from march of 2019?
Screens from RC1


I see that problem with calculation of lights, on my home PC and on my work PC.

  1. On blender start, i was add primitives, UVSphere and Suzanne. Light in scene are default.
  2. For both primitives check shade smooth.
  3. For suzanne i was use subdivision, but artifacts allmoust here without that modificator.

D4459 is not part of any release yet, it's a work in progress.